<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFEventBasedExcelExtractor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFEventBasedExcelExtractor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":9,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFEventBasedExcelExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html"
               title="class in org.apache.poi.xssf.extractor"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.SheetTextExtractor.html"
               title="class in org.apache.poi.xssf.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFEventBasedExcelExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.extractor</div>
    <h2 title="Class XSSFEventBasedExcelExtractor" class="title">Class XSSFEventBasedExcelExtractor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                       title="class in org.apache.poi.extractor">org.apache.poi.extractor.POITextExtractor</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                               title="class in org.apache.poi.ooxml.extractor">org.apache.poi.ooxml.extractor.POIXMLTextExtractor</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable, <a
                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                            title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html"
                           title="class in org.apache.poi.xssf.extractor">XSSFBEventBasedExcelExtractor</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFEventBasedExcelExtractor</span>
extends <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
           title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a>
implements <a href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
              title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></pre>
                <div class="block">Implementation of a text extractor from OOXML Excel
                    files that uses SAX event based parsing.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.SheetTextExtractor.html"
                                        title="class in org.apache.poi.xssf.extractor">XSSFEventBasedExcelExtractor.SheetTextExtractor</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#concatenatePhoneticRuns">concatenatePhoneticRuns</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#container">container</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#formulasNotResults">formulasNotResults</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#includeCellComments">includeCellComments</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#includeHeadersFooters">includeHeadersFooters</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#includeSheetNames">includeSheetNames</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#includeTextBoxes">includeTextBoxes</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected java.util.Locale</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#locale">locale</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#properties">properties</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#XSSFEventBasedExcelExtractor-org.apache.poi.openxml4j.opc.OPCPackage-">XSSFEventBasedExcelExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#XSSFEventBasedExcelExtractor-java.lang.String-">XSSFEventBasedExcelExtractor</a></span>(java.lang.String&nbsp;path)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#close--">close</a></span>()</code>
                                    <div class="block">Allows to free resources of the Extractor as soon as
                                        it is not needed any more.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                        title="interface in org.apache.poi.xssf.model">SharedStrings</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#createSharedStringsTable-org.apache.poi.xssf.eventusermodel.XSSFReader-org.apache.poi.openxml4j.opc.OPCPackage-">createSharedStringsTable</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.html"
                                        title="class in org.apache.poi.xssf.eventusermodel">XSSFReader</a>&nbsp;xssfReader,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                       title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.CoreProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getCoreProperties--">getCoreProperties</a></span>()</code>
                                    <div class="block">Returns the core document properties</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.CustomProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getCustomProperties--">getCustomProperties</a></span>()</code>
                                    <div class="block">Returns the custom document properties</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLProperties.ExtendedProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.ExtendedProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getExtendedProperties--">getExtendedProperties</a></span>()</code>
                                    <div class="block">Returns the extended document properties</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getFormulasNotResults--">getFormulasNotResults</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getIncludeCellComments--">getIncludeCellComments</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getIncludeHeadersFooters--">getIncludeHeadersFooters</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getIncludeSheetNames--">getIncludeSheetNames</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getIncludeTextBoxes--">getIncludeTextBoxes</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.util.Locale</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getLocale--">getLocale</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getPackage--">getPackage</a></span>()</code>
                                    <div class="block">Returns the opened OPCPackage container.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#getText--">getText</a></span>()</code>
                                    <div class="block">Processes the file and returns the text</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#processSheet-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.xssf.model.Styles-org.apache.poi.xssf.model.Comments-org.apache.poi.xssf.model.SharedStrings-java.io.InputStream-">processSheet</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                                        title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsExtractor,
                                    <a href="../../../../../org/apache/poi/xssf/model/Styles.html"
                                       title="interface in org.apache.poi.xssf.model">Styles</a>&nbsp;styles,
                                    <a href="../../../../../org/apache/poi/xssf/model/Comments.html"
                                       title="interface in org.apache.poi.xssf.model">Comments</a>&nbsp;comments,
                                    <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                       title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                                    java.io.InputStream&nbsp;sheetInputStream)</code>
                                    <div class="block">Processes the given sheet</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setConcatenatePhoneticRuns-boolean-">setConcatenatePhoneticRuns</a></span>(boolean&nbsp;concatenatePhoneticRuns)</code>
                                    <div class="block">Concatenate text from &lt;rPh&gt; text elements in
                                        SharedStringsTable
                                        Default is true;
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setFormulasNotResults-boolean-">setFormulasNotResults</a></span>(boolean&nbsp;formulasNotResults)</code>
                                    <div class="block">Should we return the formula itself, and not
                                        the result it produces? Default is false
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setIncludeCellComments-boolean-">setIncludeCellComments</a></span>(boolean&nbsp;includeCellComments)</code>
                                    <div class="block">Should cell comments be included? Default is false</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setIncludeHeadersFooters-boolean-">setIncludeHeadersFooters</a></span>(boolean&nbsp;includeHeadersFooters)</code>
                                    <div class="block">Should headers and footers be included? Default is true</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setIncludeSheetNames-boolean-">setIncludeSheetNames</a></span>(boolean&nbsp;includeSheetNames)</code>
                                    <div class="block">Should sheet names be included? Default is true</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setIncludeTextBoxes-boolean-">setIncludeTextBoxes</a></span>(boolean&nbsp;includeTextBoxes)</code>
                                    <div class="block">Should text from textboxes be included? Default is true</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html#setLocale-java.util.Locale-">setLocale</a></span>(java.util.Locale&nbsp;locale)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.extractor.POIXMLTextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.extractor.<a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                        title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#checkMaxTextSize-java.lang.CharSequence-java.lang.String-">checkMaxTextSize</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getDocument--">getDocument</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.extractor.POITextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.extractor.<a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html#setFilesystem-java.io.Closeable-">setFilesystem</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="container">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>container</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a> container</pre>
                            </li>
                        </ul>
                        <a name="properties">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>properties</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/ooxml/POIXMLProperties.html"
                                                       title="class in org.apache.poi.ooxml">POIXMLProperties</a> properties</pre>
                            </li>
                        </ul>
                        <a name="locale">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>locale</h4>
                                <pre>protected&nbsp;java.util.Locale locale</pre>
                            </li>
                        </ul>
                        <a name="includeTextBoxes">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>includeTextBoxes</h4>
                                <pre>protected&nbsp;boolean includeTextBoxes</pre>
                            </li>
                        </ul>
                        <a name="includeSheetNames">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>includeSheetNames</h4>
                                <pre>protected&nbsp;boolean includeSheetNames</pre>
                            </li>
                        </ul>
                        <a name="includeCellComments">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>includeCellComments</h4>
                                <pre>protected&nbsp;boolean includeCellComments</pre>
                            </li>
                        </ul>
                        <a name="includeHeadersFooters">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>includeHeadersFooters</h4>
                                <pre>protected&nbsp;boolean includeHeadersFooters</pre>
                            </li>
                        </ul>
                        <a name="formulasNotResults">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>formulasNotResults</h4>
                                <pre>protected&nbsp;boolean formulasNotResults</pre>
                            </li>
                        </ul>
                        <a name="concatenatePhoneticRuns">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>concatenatePhoneticRuns</h4>
                                <pre>protected&nbsp;boolean concatenatePhoneticRuns</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFEventBasedExcelExtractor-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFEventBasedExcelExtractor</h4>
                                <pre>public&nbsp;XSSFEventBasedExcelExtractor(java.lang.String&nbsp;path)
                             throws org.apache.xmlbeans.XmlException,
                                    <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                       title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                                    java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFEventBasedExcelExtractor-org.apache.poi.openxml4j.opc.OPCPackage-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFEventBasedExcelExtractor</h4>
                                <pre>public&nbsp;XSSFEventBasedExcelExtractor(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container)
                             throws org.apache.xmlbeans.XmlException,
                                    <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                       title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                                    java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="main-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>main</h4>
                                <pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)
                 throws java.lang.Exception</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIncludeSheetNames-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIncludeSheetNames</h4>
                                <pre>public&nbsp;void&nbsp;setIncludeSheetNames(boolean&nbsp;includeSheetNames)</pre>
                                <div class="block">Should sheet names be included? Default is true</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setIncludeSheetNames-boolean-">setIncludeSheetNames</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>includeSheetNames</code> - <code>true</code> if the sheet names should be
                                        included
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIncludeSheetNames--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIncludeSheetNames</h4>
                                <pre>public&nbsp;boolean&nbsp;getIncludeSheetNames()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether to include sheet names</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.16-beta3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFormulasNotResults-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormulasNotResults</h4>
                                <pre>public&nbsp;void&nbsp;setFormulasNotResults(boolean&nbsp;formulasNotResults)</pre>
                                <div class="block">Should we return the formula itself, and not
                                    the result it produces? Default is false
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setFormulasNotResults-boolean-">setFormulasNotResults</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formulasNotResults</code> - <code>true</code> if the formula itself is
                                        returned
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormulasNotResults--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormulasNotResults</h4>
                                <pre>public&nbsp;boolean&nbsp;getFormulasNotResults()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether to include formulas but not results</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.16-beta3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIncludeHeadersFooters-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIncludeHeadersFooters</h4>
                                <pre>public&nbsp;void&nbsp;setIncludeHeadersFooters(boolean&nbsp;includeHeadersFooters)</pre>
                                <div class="block">Should headers and footers be included? Default is true</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setIncludeHeadersFooters-boolean-">setIncludeHeadersFooters</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>includeHeadersFooters</code> - <code>true</code> if headers and footers
                                        should be included
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIncludeHeadersFooters--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIncludeHeadersFooters</h4>
                                <pre>public&nbsp;boolean&nbsp;getIncludeHeadersFooters()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether or not to include headers and footers</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.16-beta3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIncludeTextBoxes-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIncludeTextBoxes</h4>
                                <pre>public&nbsp;void&nbsp;setIncludeTextBoxes(boolean&nbsp;includeTextBoxes)</pre>
                                <div class="block">Should text from textboxes be included? Default is true</div>
                            </li>
                        </ul>
                        <a name="getIncludeTextBoxes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIncludeTextBoxes</h4>
                                <pre>public&nbsp;boolean&nbsp;getIncludeTextBoxes()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether or not to extract textboxes</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.16-beta3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIncludeCellComments-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIncludeCellComments</h4>
                                <pre>public&nbsp;void&nbsp;setIncludeCellComments(boolean&nbsp;includeCellComments)</pre>
                                <div class="block">Should cell comments be included? Default is false</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setIncludeCellComments-boolean-">setIncludeCellComments</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>includeCellComments</code> - <code>true</code> if cell comments should be
                                        included
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIncludeCellComments--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIncludeCellComments</h4>
                                <pre>public&nbsp;boolean&nbsp;getIncludeCellComments()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether cell comments should be included</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.16-beta3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setConcatenatePhoneticRuns-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setConcatenatePhoneticRuns</h4>
                                <pre>public&nbsp;void&nbsp;setConcatenatePhoneticRuns(boolean&nbsp;concatenatePhoneticRuns)</pre>
                                <div class="block">Concatenate text from &lt;rPh&gt; text elements in SharedStringsTable
                                    Default is true;
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>concatenatePhoneticRuns</code> - true if runs should be concatenated,
                                        false otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLocale-java.util.Locale-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLocale</h4>
                                <pre>public&nbsp;void&nbsp;setLocale(java.util.Locale&nbsp;locale)</pre>
                            </li>
                        </ul>
                        <a name="getLocale--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLocale</h4>
                                <pre>public&nbsp;java.util.Locale&nbsp;getLocale()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>locale</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.16-beta3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPackage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPackage</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                                    title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;getPackage()</pre>
                                <div class="block">Returns the opened OPCPackage container.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getPackage--">getPackage</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                                title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the opened OPCPackage</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCoreProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCoreProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.CoreProperties</a>&nbsp;getCoreProperties()</pre>
                                <div class="block">Returns the core document properties</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getCoreProperties--">getCoreProperties</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                                title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the core document properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExtendedProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExtendedProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLProperties.ExtendedProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.ExtendedProperties</a>&nbsp;getExtendedProperties()</pre>
                                <div class="block">Returns the extended document properties</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getExtendedProperties--">getExtendedProperties</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                                title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the extended document properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCustomProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCustomProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.CustomProperties</a>&nbsp;getCustomProperties()</pre>
                                <div class="block">Returns the custom document properties</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#getCustomProperties--">getCustomProperties</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                                title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the custom document properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processSheet-org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler-org.apache.poi.xssf.model.Styles-org.apache.poi.xssf.model.Comments-org.apache.poi.xssf.model.SharedStrings-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processSheet</h4>
                                <pre>public&nbsp;void&nbsp;processSheet(<a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFSheetXMLHandler.SheetContentsHandler.html"
                                        title="interface in org.apache.poi.xssf.eventusermodel">XSSFSheetXMLHandler.SheetContentsHandler</a>&nbsp;sheetContentsExtractor,
                         <a href="../../../../../org/apache/poi/xssf/model/Styles.html"
                            title="interface in org.apache.poi.xssf.model">Styles</a>&nbsp;styles,
                         <a href="../../../../../org/apache/poi/xssf/model/Comments.html"
                            title="interface in org.apache.poi.xssf.model">Comments</a>&nbsp;comments,
                         <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                            title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;strings,
                         java.io.InputStream&nbsp;sheetInputStream)
                  throws java.io.IOException,
                         org.xml.sax.SAXException</pre>
                                <div class="block">Processes the given sheet</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code>org.xml.sax.SAXException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createSharedStringsTable-org.apache.poi.xssf.eventusermodel.XSSFReader-org.apache.poi.openxml4j.opc.OPCPackage-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSharedStringsTable</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                        title="interface in org.apache.poi.xssf.model">SharedStrings</a>&nbsp;createSharedStringsTable(<a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.html"
                                        title="class in org.apache.poi.xssf.eventusermodel">XSSFReader</a>&nbsp;xssfReader,
                                                 <a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                                    title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container)
                                          throws java.io.IOException,
                                                 org.xml.sax.SAXException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code>org.xml.sax.SAXException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <div class="block">Processes the file and returns the text</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#getText--">getText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/extractor/POITextExtractor.html#getText--">getText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                title="class in org.apache.poi.extractor">POITextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>All the text from the document</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="close--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>close</h4>
                                <pre>public&nbsp;void&nbsp;close()
           throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html#close--">POITextExtractor</a></code></span>
                                </div>
                                <div class="block">Allows to free resources of the Extractor as soon as
                                    it is not needed any more. This may include closing
                                    open file handles and freeing memory.

                                    The Extractor cannot be used after close has been called.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.io.Closeable</code></dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.lang.AutoCloseable</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html#close--">close</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                                title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFEventBasedExcelExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html"
               title="class in org.apache.poi.xssf.extractor"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.SheetTextExtractor.html"
               title="class in org.apache.poi.xssf.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFEventBasedExcelExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
